## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://dev.writer.com/llms.txt)

Use this file to discover all available pages before exploring further.

### cURL

```bash
curl --location --request GET https://api.writer.com/v1/applications/{application_id} \
 --header "Authorization: Bearer <token>"
```

```python
import os
from writerai import Writer

client = Writer(
    api_key=os.environ.get("WRITER_API_KEY"),  # This is the default and can be omitted
)
application = client.applications.retrieve(
    "application_id",
)
print(application.id)
```

```javascript
import Writer from 'writer-sdk';

const client = new Writer({
  apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});

async function main() {
  const application = await client.applications.retrieve('application_id');

console.log(application.id);
}

main();
```

### Response

200

```json
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "type": "generation",
  "inputs": [
    {
      "name": "<string>",
      "required": true,
      "description": "<string>",
      "options": {
        "list": [
          "<string>"
        ]
      }
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_deployed_at": "2023-11-07T05:31:56Z"
}
```

### No-code Applications

No-code applications are now called [no-code agents](https://dev.writer.com/no-code/introduction). The [Applications API](https://dev.writer.com/api-reference/application-api/api-reference/application-api/applications), which you can use to programmatically interact with no-code agents, still uses the term `application` to minimize breaking changes.

#### Authorizations

**Authorization**: `string` in header, required. 
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your [Writer API key](https://dev.writer.com/api-reference/api-keys).

#### Path Parameters

- **application_id**: `string`, required. Unique identifier of the application to retrieve.

#### Response Details

- **200 - application/json** - Successfully retrieved application details.
- **id**: Unique identifier for the application.
- **name**: Display name of the application.
- **type**: The type of no-code application. Available options: `generation`.
- **status**: Current deployment status of the application. Available options: `deployed`, `draft`.
- **inputs**: List of input configurations for the application.
- **created_at**: Timestamp when the application was created.
- **updated_at**: Timestamp when the application was last updated.
- **last_deployed_at**: Timestamp when the application was last deployed.
